<?php  defined('C5_EXECUTE') or die("Access Denied."); ?>
<div id="vivid-locations-map-<?php echo $bID?>" style="height: <?php echo $mapheight?>px;"></div>
<style type="text/css">
    #vivid-locations-map-<?php echo $bID?> img { max-width: none !important; }
    #vivid-locations-map-<?php echo $bID?> * { box-sizing: content-box; }
</style>
<script type="text/javascript">
   $(function(){
        function initVividLocationsMap<?php echo $bID?>() {
            var map;
            var bounds = new google.maps.LatLngBounds();
            var mapOptions = {
                mapTypeId: 'roadmap'
            };
                            
            // Display a map on the page
            map = new google.maps.Map(document.getElementById("vivid-locations-map-<?php echo $bID?>"), mapOptions);
            map.setTilt(45);
                
            // Multiple Markers
            var markers = [
                <?php  
                $count = count($locations);
                $i=1;
                foreach($locations as $location):
                    if($count==$i){?>
                        ['<?php echo $location['locationName']?>', <?php echo $location['geolat']?>,<?php echo $location['geolong']?>]
                    <?php  } else { ?>
                        ['<?php echo $location['locationName']?>', <?php echo $location['geolat']?>,<?php echo $location['geolong']?>],
                    <?php  } ?>
                <?php  
                    $i++; 
                endforeach; ?>
            ];
                                
            // Info Window Content
            var infoWindowContent = [
                <?php  
                $count = count($locations);
                $i=1;
                foreach($locations as $location):
                    if($count==$i){?>
                        ['<strong><?php echo $location['locationName']?></strong><br>'+
                        '<?php echo $location['address1']?><br>'+
                        <?php  if($location['address2']){?>
                        '<?php echo $location['address2']?><br>'+
                        <?php  } ?>
                        '<?php echo $location['city']?>, <?php echo $location['state']?> <?php echo $location['postalCode']?>'
                        ]
                    <?php  } else {?>
                        ['<strong><?php echo $location['locationName']?></strong><br>'+
                        '<?php echo $location['address1']?><br>'+
                        <?php  if($location['address2']){?>
                        '<?php echo $location['address2']?><br>'+
                        <?php  } ?>
                        '<?php echo $location['city']?>, <?php echo $location['state']?> <?php echo $location['postalCode']?>'
                        ],
                    <?php  } ?> 
                <?php  $i++; endforeach; ?>
            ];
                
            // Display multiple markers on a map
            var infoWindow = new google.maps.InfoWindow(), marker, i;
            
            // Loop through our array of markers & place each one on the map  
            for( i = 0; i < markers.length; i++ ) {
                var position = new google.maps.LatLng(markers[i][1], markers[i][2]);
                bounds.extend(position);
                marker = new google.maps.Marker({
                    position: position,
                    map: map,
                    title: markers[i][0]
                });
                
                // Allow each marker to have an info window    
                google.maps.event.addListener(marker, 'click', (function(marker, i) {
                    return function() {
                        infoWindow.setContent(infoWindowContent[i][0]);
                        infoWindow.open(map, marker);
                    }
                })(marker, i));
        
            }
            map.fitBounds(bounds);
            // Override our map zoom level once our fitBounds function runs (Make sure it only runs once)
            var boundsListener = google.maps.event.addListener((map), 'bounds_changed', function(event) {
                <?php  if(count($locations)==1){?>
                this.setZoom(14);
                <?php  } ?>
                google.maps.event.removeListener(boundsListener);
            });
         }
         initVividLocationsMap<?php echo $bID?>();
     });
</script>