<?php       

namespace Concrete\Package\VividLocations;
use Package;
use BlockType;
use SinglePage;

defined('C5_EXECUTE') or die(_("Access Denied."));

class Controller extends Package
{

    protected $pkgHandle = 'vivid_locations';
    protected $appVersionRequired = '5.7.1';
    protected $pkgVersion = '1.0';
    
    
    
    public function getPackageDescription()
    {
        return t("Add a Location Manager to your Site");
    }

    public function getPackageName()
    {
        return t("Vivid Locations");
    }
    
    public function install()
    {
        $pkg = parent::install();
        BlockType::installBlockTypeFromPackage('vivid_locations_vcard', $pkg); 
        BlockType::installBlockTypeFromPackage('vivid_locations_map', $pkg); 
        SinglePage::add('/dashboard/system/basics/locations/',$pkg);
    }
}
?>