<?php 

namespace Concrete\Package\VividLocations\Controller\SinglePage\Dashboard\System\Basics;

use \Concrete\Core\Page\Controller\DashboardPageController;
use Loader;
use Database;

defined('C5_EXECUTE') or die("Access Denied.");
class Locations extends DashboardPageController
{

    public function view(){
        $db = Database::get(); 
		$locations = $db->GetAll("SELECT * FROM VividLocations");
		$this->set("locations",$locations);
		
    }
	public function success(){
		$this->set("success","Location Added");
		$this->view();
	}
	
	public function updated(){
		$this->set("success","Location Updated");
		$this->view();
	}
	public function removed(){
		$this->set("success","Location Removed");
		$this->view();
	}
	public function add(){
		
	}
	public function edit($lID){
		$db = Database::get(); 
		$location = $db->GetRow("SELECT * FROM VividLocations WHERE lID=$lID");
        $this->set('location',$location);
	}
	public function delete($lID){
		$db = Database::get(); 
		$db->Execute("DELETE FROM VividLocations WHERE lID=$lID");
		$this->redirect('/dashboard/system/basics/locations', 'removed'); 
	}
	public function submit(){
		$db = Database::get(); 		
		if($_POST['lID'] == "" ){			
			$vals = array($_POST['locationName'],$_POST['address1'],$_POST['address2'],$_POST['city'],$_POST['state'],$_POST['postalCode'],$_POST['ph1Label'],$_POST['ph1'],$_POST['ph2Label'],$_POST['ph2'],$_POST['geolat'],$_POST['geolong']);
			$db->Execute("INSERT INTO VividLocations(locationName,address1,address2,city,state,postalCode,ph1Label,ph1,ph2Label,ph2,geolat,geolong) values (?,?,?,?,?,?,?,?,?,?,?,?)",$vals);		
			$this->redirect('/dashboard/system/basics/locations', 'success'); 
		}
		else{
			$lID = $_POST['lID'];
			$vals = array($_POST['locationName'],$_POST['address1'],$_POST['address2'],$_POST['city'],$_POST['state'],$_POST['postalCode'],$_POST['ph1Label'],$_POST['ph1'],$_POST['ph2Label'],$_POST['ph2'],$_POST['geolat'],$_POST['geolong']);
			$db->Execute("UPDATE VividLocations set locationName=?,address1=?,address2=?,city=?,state=?,postalCode=?,ph1Label=?,ph1=?,ph2Label=?,ph2=?,geolat=?,geolong=? WHERE lID=$lID", $vals);
			$this->redirect('/dashboard/system/basics/locations', 'updated'); 
		}
	}

    

}
